Page MenuHomePhabricator

efl_input_interface: verify check cancel event
ClosedPublic

Authored by bu5hm4n on Jun 25 2019, 1:15 AM.

Details

Summary

this verifies that EFL_EVENT_POINTER_CANCEL is emitted correctly.

Depends on D9184

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jun 25 2019, 1:15 AM
bu5hm4n requested review of this revision.Jun 25 2019, 1:15 AM

This here is a funny one, we are defining the event, but we are not emitting it at all, where or how should we emit this one ? In legacy it seems like we do not have something like this.
Does someone know where or how to emit this ?

zmike requested changes to this revision.Jun 26 2019, 7:32 AM

Check out D9184, I think this test needs to verify that the 'up' event is also emitted after cancel

This revision now requires changes to proceed.Jun 26 2019, 7:32 AM
bu5hm4n updated this revision to Diff 23011.Jun 27 2019, 6:22 AM
bu5hm4n retitled this revision from efl_input_interface: WIP check cancel event to efl_input_interface: verify check cancel event.
bu5hm4n edited the summary of this revision. (Show Details)

yey there is a event!!!

zmike requested changes to this revision.Jun 27 2019, 6:59 AM

Like I said, this should also verify that the sequence of down -> cancel -> up occurs in the expected order and that the event info in down matches the info in cancel.

This revision now requires changes to proceed.Jun 27 2019, 6:59 AM
bu5hm4n updated this revision to Diff 23015.Jun 27 2019, 7:22 AM

more test

zmike accepted this revision.Jun 27 2019, 7:24 AM
This revision is now accepted and ready to land.Jun 27 2019, 7:24 AM
Closed by commit rEFL5e54ad67ecc3: efl_input_interface: verify check cancel event (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 27 2019, 7:51 AM
This revision was automatically updated to reflect the committed changes.